%define name afio-rsh
%define version 2.4.2
%define release 2mdk

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Freeware
Group: Archiving/Backup
Source: afio-%{version}.tar.bz2
Patch0: afio-2.4.2-rsh.patch.bz2
Patch1: afio-2.4.2-make.patch.bz2
Buildroot: /var/tmp/%{name}-buildroot
Summary: Archiver program which writes cpio-format archives

%description
Afio is best used as an 'archive engine' in a backup script. It can make
compressed archives that are much safer than compressed tar or cpio archives
because it deals somewhat gracefully with input data corruption and supports
multi-volume archives. 

This version has been patched to handle remote tape drives exactly the
same as GNU tar - ie you can specofy the backup file as
"user@machine:/dev/tape".

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n afio-2.4.2

%patch0 -p1

%patch1 -p1
# archive contains .o files!
make clean

%build
make
strip afio

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 afio $RPM_BUILD_ROOT/usr/bin/
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/script1
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/script2
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/script3
install -m 644 {HISTORY,PORTING,README,SCRIPTS,afio.lsm} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 script1/* $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/script1/
install -m 644 script2/* $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/script2/
install -m 644 script3/* $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/script3/
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -m 644 afio.1 $RPM_BUILD_ROOT/usr/man/man1/

%clean
make clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%dir /usr/doc/%{name}-%{version}
%dir /usr/doc/%{name}-%{version}/script1
%dir /usr/doc/%{name}-%{version}/script2
%dir /usr/doc/%{name}-%{version}/script3
/usr/bin/*
/usr/man/man1/*
/usr/doc/%{name}-%{version}/script1/*
/usr/doc/%{name}-%{version}/script2/*
/usr/doc/%{name}-%{version}/script3/*


%changelog
* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4.2-2mdk
- fix file list
- bzip2 patches
- fix sources permissions

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for mandrake
